resources:
    App\Entity\Image:
        processor: App\State\Processor\ImageProcessor
        input: App\Dto\Input\ImageInput
        output: App\Dto\Output\ImageOutput
        normalizationContext:
            groups: ['default', 'image:read']
        denormalizationContext:
            groups: ['image:write']
        order:
            id: 'DESC'
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\ImageProvider
                filters:
                    - 'api_platform.filter.image.order'
                    - 'api_platform.filter.image.search'
                    - 'api_platform.filter.image.boolean'
                    - 'image.repository_filter'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\ImageProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\ImageProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\ImageProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\Image:
        id:
            identifier: false
        uuid:
            identifier: true